/* header */
.ts-header {
    position: relative;
    z-index: 9;
    background: var(--blue);
    padding-block: 40px 45px;
}

.ts-header__inner {
    max-width: 1115px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 12px;
    position: relative;
}

.ts-header__logo {
    max-width: 182px;
    min-width: 182px;
}

.ts-header__logo img {
    width: 100%;
    object-fit: contain;
}

.ts-nav {
    display: flex;
    align-items: center;
    background: var(--grey);
    border-radius: 50px;
    padding: 6px 8px;
    gap: 5px;
    /*width: 100%;*/
    justify-content: flex-end;
}

.ts-menu {
    display: flex;
    align-items: center;
    gap: 2px 4px;
    flex-wrap: wrap;
    justify-content: flex-end;
}

.ts-menu>li {
    position: relative;
    margin-inline: 8px;
}

.ts-menu>li>a {
    color: var(--blue);
    text-align: center;
    font-size: 12px;
    font-weight: 500;
    line-height: 94%;
    letter-spacing: 2.54px;
    text-transform: uppercase;
    border-bottom: 1.5px solid transparent;
    padding-inline: 2px;
}

.ts-menu>li>a:hover {
    color: var(--lightBlue);
}

.ts-menu>li>a>svg {
    max-width: 8px;
    margin-left: 2px;
}

.ts-menu>li>a>svg path {
    stroke: var(--blue);
    transition: var(--transition);
}

.ts-menu>li>a:hover svg path,
.ts-menu>li.current-menu-ancestor>a svg path {
    stroke: var(--lightBlue);
}

.ts-menu>li.current>a,
.ts-menu>li.current-menu-item>a, 
.ts-menu>li.current-menu-ancestor>a {
    color: var(--lightBlue);
    border-color: var(--lightBlue);
}

.ts-dropdown li.current>a,
.ts-dropdown li.current-menu-item>a {
    color: var(--blue);
    background: var(--lightBlue);
}

.headerButtonRight {
    display: flex;
    gap: 5px;
}

.headerButtonRight .btn {
    text-align: center;
    font-size: 12px;
    font-weight: 500;
    line-height: 94%;
    letter-spacing: 2.54px;
    text-transform: uppercase;
    padding: 11.5px 14px;
    background: var(--lightBlue);
    color: var(--blue);
    min-width: max-content;
}

.headerButtonRight .btn:hover {
    background: var(--blue);
    color: #fff;
}

.headerButtonRight a.btn-current{
    background: var(--blue);
    color: #fff;
}

.ts-header__actions {
    display: flex;
    align-items: center;
    gap: 10px;
}

.ts-dropdown {
    position: absolute;
    top: calc(100% + 0px);
    left: 0;
    width: 200px;
    opacity: 0;
    visibility: hidden;
    transition: .35s ease;
    overflow: hidden;
    z-index: 100;
    padding-top: 20px;
}

.ts-dropdown ul {
    background: #fff;
    box-shadow: 0 15px 40px rgba(0, 0, 0, .08);
    border-radius: 10px;
    overflow: hidden;
}

.ts-has-dropdown:hover .ts-dropdown {
    opacity: 1;
    visibility: visible;
}

.ts-dropdown li {
    line-height: 0;
}

.ts-dropdown a {
    color: var(--blue);
    font-size: 10.299px;
    font-style: normal;
    font-weight: 500;
    line-height: 94%;
    letter-spacing: 2.266px;
    text-transform: uppercase;
    padding: 10px 14px;
    display: inline-block;
    width: 100%;
}

.ts-dropdown li:first-child a {
    padding-top: 12px;
}

.ts-dropdown a:hover,
.ts-dropdown li.current-menu-item a {
    background: var(--lightBlue);
    color: var(--blue);
}

.ts-menu-toggle {
    display: none;
    border: none;
    background: transparent;
    cursor: pointer;
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
}

.ts-menu-toggle span {
    display: block;
    width: 32px;
    height: 2px;
    background: var(--lightBlue);
    margin: 6px auto;
    transition: var(--transition);
}

.ts-menu-toggle span:first-child {
    margin-top: 0;
}

.ts-menu-toggle span:last-child {
    margin-bottom: 0;
}

.ts-menu-toggle.active span:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
}

.ts-menu-toggle.active span:nth-child(2) {
    opacity: 0;
}

.ts-menu-toggle.active span:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
}

.ts-menu-toggle.active span {
    background: #fff;
    width: 22px;
}

body.menu-open {
    overflow: hidden;
}

/* footer */
.footer {
    background: var(--blue);
    padding: 80px 0;
    color: #fff;
    min-height: 300px;
    display: flex;
    align-items: center;
}

.footer p,
.footer a {
    color: #F1EFE8;
    font-size: 14.261px;
    font-style: normal;
    font-weight: 400;
    line-height: 151%;
    margin-bottom: 5px;
    transition: var(--transition);
    display: block;
}

.footer a:hover {
    color: var(--lightBlue);
}

.footer a svg path {
    transition: var(--transition);
}

.footer a:hover svg path {
    fill: var(--lightBlue);
}

.footer .footer__wrapper {
    display: grid;
    grid-template-columns: 1.2fr 1fr 1fr;
    align-items: center;
    max-width: 900px;
    margin-inline: auto;
    gap: 20px;
}

.footer .footer__logo {
    max-width: 258px;
}

.footer .footer__logo img {
    width: 100%;
    object-fit: contain;
}

.footer .footer__office,
.footer .footer__contact {
    position: relative;
}

.footer .footer__contact {
    padding-left: 40px;
}

.footer .footer__contact::before {
    content: "";
    position: absolute;
    left: 0;
    top: 6px;
    bottom: 6px;
    width: 1px;
    background: rgba(255, 255, 255, .4);
}

.footer .footer__heading {
    color: #F1EFE8;
    font-size: 19.014px;
    font-style: normal;
    font-weight: 600;
    line-height: 94%;
    letter-spacing: 4.183px;
    text-transform: uppercase;
    margin-bottom: 20px;
}

.footer .footer__contact a {
    display: flex;
    align-items: center;
    gap: 8px;
}

.footer .footer__contact a svg {
    margin-top: 2px;
}

.footer .footer__contact img {
    width: 18px;
    height: 18px;
}

/* responsive css start here */

@media(max-width:1279px) {

    /* header */
    .ts-header {
        padding-block: 30px;
    }

    .ts-menu {
        gap: 2px 0;
    }

    .ts-menu>li>a,
    .headerButtonRight .btn {
        letter-spacing: 1.5px;
    }
}

@media(max-width:989px) {

    /* header */
    .ts-header__inner {
        justify-content: center;
    }

    .ts-header {
        padding-block: 29px;
    }

    .ts-menu-toggle {
        display: block;
        z-index: 999;
    }

    .ts-nav {
        position: fixed;
        top: 0;
        right: -100%;
        width: 100%;
        max-width: 100%;
        height: 100vh;
        background: var(--lightBlue);
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
        padding: 90px 20px 20px;
        transition: var(--transition);
        overflow-y: auto;
        border-radius: 0;
    }

    .ts-nav.active {
        right: 0;
    }

    .ts-dropdown {
        display: none;
        position: static;
        width: 100%;
    }

    .ts-has-dropdown.open .ts-dropdown {
        display: block;
        opacity: 1;
        visibility: visible;
    }

    .ts-menu {
        flex-direction: column;
        width: 100%;
        gap: 25px;
    }

    .ts-menu>li {
        margin-inline: 0;
        width: 100%;
        text-align: center;
    }

    .ts-menu>li>a {
        font-size: 15px;
        letter-spacing: 3.3px;
        padding: 0;
    }

    .ts-menu>li>a:hover {
        color: #fff;
    }

    .ts-menu>li>a>svg {
        max-width: 12px;
        margin-left: 5px;
        position: relative;
        top: -1px;
    }

    .ts-menu>li>a:hover svg path {
        stroke: #fff;
    }

    .headerButtonRight {
        flex-direction: column;
        gap: 25px;
        width: 100%;
        margin-block: 20px 0;
    }

    .headerButtonRight .btn {
        font-size: 15px;
        letter-spacing: 3.3px;
        width: fit-content;
        margin-inline: auto;
        background: var(--blue);
        color: #fff;
        padding: 11.5px 18px;
    }

    .headerButtonRight .btn:hover,
    .headerButtonRight a.btn-current {
        background: #fff;
        color: var(--blue);
    }

    .ts-dropdown a {
        font-size: 12px;
        letter-spacing: 2px;
        padding: 15px;
    }

    .ts-dropdown a:hover {
        background: var(--blue);
        color: #fff;
    }

    .ts-dropdown li:first-child a {
        padding-top: 17px;
    }

    .ts-menu>li.current>a,
    .ts-menu>li.current-menu-item>a,
    .ts-menu>li.current-menu-ancestor>a {
        color: #fff;
        border-color: #fff;
    }

    .ts-menu>li.current-menu-ancestor>a svg path{
        stroke: #fff;
    }

    .ts-dropdown li.current>a,
    .ts-dropdown li.current-menu-item>a {
        color: #fff;
        background: var(--blue);
    }
    
    /* footer */
    .footer {
        padding: 50px 0 45px;
        min-height: unset;
    }

    .footer .footer__wrapper {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        gap: 30px 20px;
    }

    .footer .footer__contact::before {
        display: none;
    }

    .footer .footer__logo {
        max-width: 100%;
        width: 100%;
        text-align: center;
    }

    .footer .footer__heading {
        margin-bottom: 15px;
    }

    .footer .footer__office,
    .footer .footer__contact {
        width: calc(50% - 10px);
    }

    .footer .footer__contact {
        padding-left: 0;
        text-align: right;
    }

    .footer p,
    .footer a {
        margin-bottom: 3px;
    }

    .footer .footer__logo img {
        max-width: 258px;
        margin-inline: auto;
    }
}

@media(max-width:749px) {

    /* header */
    .ts-header__logo {
        min-width: 150px;
        max-width: 150px;
    }

    /* footer */
    .footer {
        padding: 45px 0 40px;
    }

    .footer .footer__logo img {
        max-width: 150px;
    }

    .footer .footer__heading {
        font-size: 14px;
        letter-spacing: 2.64px;
        margin-bottom: 10px;
    }

    .footer p,
    .footer a {
        font-size: 12px;
        margin-bottom: 2px;
    }

    .footer .footer__office,
    .footer .footer__contact {
        width: 100%;
        text-align: center;
    }

    .footer .footer__contact {
        text-align: center;
    }

    .footer .footer__contact a {
        justify-content: center;
    }

}